TechDraw RadiusDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
Line 11: Line 11:
==Description== <!--T:2-->
==Description== <!--T:2-->


<!--T:8-->
The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc.
The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc.


Line 16: Line 17:
[[Image:TechDraw_Dimension_Radius_example.png]]
[[Image:TechDraw_Dimension_Radius_example.png]]
<translate>
<translate>
<!--T:9-->
{{Caption|Measuring a circle, indicating the radius}}
{{Caption|Measuring a circle, indicating the radius}}


==How to use== <!--T:3-->
==How to use== <!--T:3-->


<!--T:10-->
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Press the {{Button|[[Image:Dimension_Radius.png|16px]] [[TechDraw Dimension Radius|Dimension Radius]]}} button
# Press the {{Button|[[Image:Dimension_Radius.png|16px]] [[TechDraw Dimension Radius|Dimension Radius]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.


== Limitations ==
== Limitations == <!--T:11-->


<!--T:12-->
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length]] tool for more information.
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length]] tool for more information.


==Properties== <!--T:5-->
==Properties== <!--T:5-->


<!--T:13-->
This object has the same properties as the [[TechDraw Dimension Length]] tool. See that tool for details.
This object has the same properties as the [[TechDraw Dimension Length]] tool. See that tool for details.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->


<!--T:14-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].


<!--T:15-->
The Dimension Radius tool can be used in [[macros]] and from the [[Python]] console by using the following functions:
The Dimension Radius tool can be used in [[macros]] and from the [[Python]] console by using the following functions:


Line 47: Line 54:
<translate>
<translate>


<!--T:16-->
{{TechDraw Tools navi}}
{{TechDraw Tools navi}}


<!--T:17-->
{{Userdocnavi}}
{{Userdocnavi}}
</translate>
</translate>

Revision as of 20:17, 3 January 2019

TechDraw Dimension Radius

Menu location
TechDraw → Dimension Radius
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Dimension Diameter

Description

The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc.

Measuring a circle, indicating the radius

How to use

  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the File:Dimension Radius.png Dimension Radius button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Radius tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)